IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fccc::/16- First address
fccc::- Last address
fccc:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fccc:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
c.c.c.f.ip6.arpa
Split into smaller subnets
fccc::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fccc::/28 | fccc:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fccc:10::/28 | fccc:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fccc:20::/28 | fccc:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fccc:30::/28 | fccc:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fccc:40::/28 | fccc:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fccc:50::/28 | fccc:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fccc:60::/28 | fccc:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fccc:70::/28 | fccc:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fccc:80::/28 | fccc:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fccc:90::/28 | fccc:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fccc:a0::/28 | fccc:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fccc:b0::/28 | fccc:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fccc:c0::/28 | fccc:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fccc:d0::/28 | fccc:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fccc:e0::/28 | fccc:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fccc:f0::/28 | fccc:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fccc:100::/28 | fccc:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fccc:110::/28 | fccc:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fccc:120::/28 | fccc:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fccc:130::/28 | fccc:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fccc:140::/28 | fccc:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fccc:150::/28 | fccc:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fccc:160::/28 | fccc:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fccc:170::/28 | fccc:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fccc:180::/28 | fccc:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fccc:190::/28 | fccc:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fccc:1a0::/28 | fccc:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fccc:1b0::/28 | fccc:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fccc:1c0::/28 | fccc:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fccc:1d0::/28 | fccc:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fccc:1e0::/28 | fccc:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fccc:1f0::/28 | fccc:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fccc:200::/28 | fccc:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fccc:210::/28 | fccc:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fccc:220::/28 | fccc:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fccc:230::/28 | fccc:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fccc:240::/28 | fccc:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fccc:250::/28 | fccc:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fccc:260::/28 | fccc:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fccc:270::/28 | fccc:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fccc:280::/28 | fccc:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fccc:290::/28 | fccc:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fccc:2a0::/28 | fccc:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fccc:2b0::/28 | fccc:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fccc:2c0::/28 | fccc:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fccc:2d0::/28 | fccc:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fccc:2e0::/28 | fccc:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fccc:2f0::/28 | fccc:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fccc:300::/28 | fccc:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fccc:310::/28 | fccc:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fccc:320::/28 | fccc:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fccc:330::/28 | fccc:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fccc:340::/28 | fccc:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fccc:350::/28 | fccc:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fccc:360::/28 | fccc:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fccc:370::/28 | fccc:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fccc:380::/28 | fccc:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fccc:390::/28 | fccc:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fccc:3a0::/28 | fccc:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fccc:3b0::/28 | fccc:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fccc:3c0::/28 | fccc:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fccc:3d0::/28 | fccc:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fccc:3e0::/28 | fccc:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fccc:3f0::/28 | fccc:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fccc:400::/28 | fccc:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fccc:410::/28 | fccc:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fccc:420::/28 | fccc:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fccc:430::/28 | fccc:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fccc:440::/28 | fccc:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fccc:450::/28 | fccc:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fccc:460::/28 | fccc:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fccc:470::/28 | fccc:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fccc:480::/28 | fccc:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fccc:490::/28 | fccc:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fccc:4a0::/28 | fccc:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fccc:4b0::/28 | fccc:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fccc:4c0::/28 | fccc:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fccc:4d0::/28 | fccc:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fccc:4e0::/28 | fccc:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fccc:4f0::/28 | fccc:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fccc:500::/28 | fccc:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fccc:510::/28 | fccc:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fccc:520::/28 | fccc:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fccc:530::/28 | fccc:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fccc:540::/28 | fccc:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fccc:550::/28 | fccc:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fccc:560::/28 | fccc:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fccc:570::/28 | fccc:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fccc:580::/28 | fccc:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fccc:590::/28 | fccc:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fccc:5a0::/28 | fccc:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fccc:5b0::/28 | fccc:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fccc:5c0::/28 | fccc:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fccc:5d0::/28 | fccc:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fccc:5e0::/28 | fccc:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fccc:5f0::/28 | fccc:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fccc:600::/28 | fccc:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fccc:610::/28 | fccc:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fccc:620::/28 | fccc:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fccc:630::/28 | fccc:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fccc:640::/28 | fccc:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fccc:650::/28 | fccc:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fccc:660::/28 | fccc:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fccc:670::/28 | fccc:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fccc:680::/28 | fccc:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fccc:690::/28 | fccc:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fccc:6a0::/28 | fccc:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fccc:6b0::/28 | fccc:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fccc:6c0::/28 | fccc:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fccc:6d0::/28 | fccc:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fccc:6e0::/28 | fccc:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fccc:6f0::/28 | fccc:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fccc:700::/28 | fccc:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fccc:710::/28 | fccc:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fccc:720::/28 | fccc:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fccc:730::/28 | fccc:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fccc:740::/28 | fccc:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fccc:750::/28 | fccc:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fccc:760::/28 | fccc:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fccc:770::/28 | fccc:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fccc:780::/28 | fccc:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fccc:790::/28 | fccc:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fccc:7a0::/28 | fccc:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fccc:7b0::/28 | fccc:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fccc:7c0::/28 | fccc:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fccc:7d0::/28 | fccc:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fccc:7e0::/28 | fccc:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fccc:7f0::/28 | fccc:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fccc:800::/28 | fccc:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fccc:810::/28 | fccc:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fccc:820::/28 | fccc:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fccc:830::/28 | fccc:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fccc:840::/28 | fccc:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fccc:850::/28 | fccc:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fccc:860::/28 | fccc:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fccc:870::/28 | fccc:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fccc:880::/28 | fccc:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fccc:890::/28 | fccc:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fccc:8a0::/28 | fccc:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fccc:8b0::/28 | fccc:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fccc:8c0::/28 | fccc:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fccc:8d0::/28 | fccc:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fccc:8e0::/28 | fccc:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fccc:8f0::/28 | fccc:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fccc:900::/28 | fccc:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fccc:910::/28 | fccc:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fccc:920::/28 | fccc:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fccc:930::/28 | fccc:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fccc:940::/28 | fccc:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fccc:950::/28 | fccc:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fccc:960::/28 | fccc:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fccc:970::/28 | fccc:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fccc:980::/28 | fccc:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fccc:990::/28 | fccc:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fccc:9a0::/28 | fccc:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fccc:9b0::/28 | fccc:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fccc:9c0::/28 | fccc:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fccc:9d0::/28 | fccc:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fccc:9e0::/28 | fccc:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fccc:9f0::/28 | fccc:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fccc:a00::/28 | fccc:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fccc:a10::/28 | fccc:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fccc:a20::/28 | fccc:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fccc:a30::/28 | fccc:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fccc:a40::/28 | fccc:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fccc:a50::/28 | fccc:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fccc:a60::/28 | fccc:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fccc:a70::/28 | fccc:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fccc:a80::/28 | fccc:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fccc:a90::/28 | fccc:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fccc:aa0::/28 | fccc:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fccc:ab0::/28 | fccc:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fccc:ac0::/28 | fccc:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fccc:ad0::/28 | fccc:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fccc:ae0::/28 | fccc:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fccc:af0::/28 | fccc:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fccc:b00::/28 | fccc:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fccc:b10::/28 | fccc:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fccc:b20::/28 | fccc:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fccc:b30::/28 | fccc:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fccc:b40::/28 | fccc:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fccc:b50::/28 | fccc:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fccc:b60::/28 | fccc:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fccc:b70::/28 | fccc:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fccc:b80::/28 | fccc:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fccc:b90::/28 | fccc:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fccc:ba0::/28 | fccc:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fccc:bb0::/28 | fccc:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fccc:bc0::/28 | fccc:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fccc:bd0::/28 | fccc:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fccc:be0::/28 | fccc:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fccc:bf0::/28 | fccc:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fccc:c00::/28 | fccc:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fccc:c10::/28 | fccc:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fccc:c20::/28 | fccc:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fccc:c30::/28 | fccc:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fccc:c40::/28 | fccc:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fccc:c50::/28 | fccc:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fccc:c60::/28 | fccc:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fccc:c70::/28 | fccc:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fccc:c80::/28 | fccc:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fccc:c90::/28 | fccc:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fccc:ca0::/28 | fccc:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fccc:cb0::/28 | fccc:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fccc:cc0::/28 | fccc:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fccc:cd0::/28 | fccc:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fccc:ce0::/28 | fccc:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fccc:cf0::/28 | fccc:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fccc:d00::/28 | fccc:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fccc:d10::/28 | fccc:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fccc:d20::/28 | fccc:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fccc:d30::/28 | fccc:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fccc:d40::/28 | fccc:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fccc:d50::/28 | fccc:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fccc:d60::/28 | fccc:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fccc:d70::/28 | fccc:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fccc:d80::/28 | fccc:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fccc:d90::/28 | fccc:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fccc:da0::/28 | fccc:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fccc:db0::/28 | fccc:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fccc:dc0::/28 | fccc:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fccc:dd0::/28 | fccc:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fccc:de0::/28 | fccc:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fccc:df0::/28 | fccc:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fccc:e00::/28 | fccc:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fccc:e10::/28 | fccc:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fccc:e20::/28 | fccc:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fccc:e30::/28 | fccc:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fccc:e40::/28 | fccc:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fccc:e50::/28 | fccc:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fccc:e60::/28 | fccc:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fccc:e70::/28 | fccc:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fccc:e80::/28 | fccc:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fccc:e90::/28 | fccc:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fccc:ea0::/28 | fccc:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fccc:eb0::/28 | fccc:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fccc:ec0::/28 | fccc:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fccc:ed0::/28 | fccc:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fccc:ee0::/28 | fccc:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fccc:ef0::/28 | fccc:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fccc:f00::/28 | fccc:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fccc:f10::/28 | fccc:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fccc:f20::/28 | fccc:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fccc:f30::/28 | fccc:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fccc:f40::/28 | fccc:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fccc:f50::/28 | fccc:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fccc:f60::/28 | fccc:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fccc:f70::/28 | fccc:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fccc:f80::/28 | fccc:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fccc:f90::/28 | fccc:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fccc:fa0::/28 | fccc:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fccc:fb0::/28 | fccc:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fccc:fc0::/28 | fccc:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fccc:fd0::/28 | fccc:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fccc:fe0::/28 | fccc:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fccc:ff0::/28 | fccc:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |